routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// Authentication Routes...
Route::get('/', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('/login', 'Auth\LoginController@login')->name('login.user');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

// Registration Routes...
Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('register', 'Auth\RegisterController@register');

// Password Reset Routes...
Route::get('password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
Route::post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
Route::get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
Route::post('password/reset', 'Auth\ResetPasswordController@reset');

Route::middleware('auth')->group(function() {

    Route::get('/home', 'HomeController@index')->name('home');

    // Edit user Routes...
    Route::post('edit', 'UserController@update')->name('update');
    Route::get('edit', 'UserController@edit')->name('edit');

    // User Routes...
    Route::get('profile', 'UserController@profile')->name('profile');

    // Delete user routes...
    Route::post('delete', 'UserController@delete')->name('delete');
    Route::get('delete', 'UserController@remove')->name('remove');

    Route::resource('faq', 'Faq\FaqController');
    Route::patch('faq{id}', 'Faq\FaqController@hidden');
    Route::get('hidden', 'Faq\FaqController@hiddenIndex')->name('hidden');
});

Route::group(['prefix' => 'admin', 'middleware' => ['auth' => 'admin'], 'namespace' => 'Admin'], function(){
    Route::resource('users', 'UsersController');

    Route::get('faq_respond{faq_id}', 'Faq\RespondFaqController@create')->name('faq_respond.create');
    Route::post('faq_respond', 'Faq\RespondFaqController@store')->name('faq_respond.store');
    Route::delete('faq_respond{id}', 'Faq\RespondFaqController@destroy')->name('faq_respond.destroy');
    Route::post('faq_respond/edit{faq_respond}', 'Faq\RespondFaqController@update')->name('faq_respond.update');
    Route::get('faq_respond/edit{faq_respond}', 'Faq\RespondFaqController@edit')->name('faq_respond.edit');
});

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                            @if(Auth::user() == false)
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                            </li>
                            @else
                            @if(Auth::user()->isRole()== 'admin')
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('users.index') }}">{{ __('Users') }}</a>
                                </li>
                            @endif
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{Auth::user()->firstname}} {{Auth::user()->lastname}} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('profile') }}">{{ __('Profile') }} </a>
                                    <a class="dropdown-item" href="{{ route('edit') }}">{{ __('Edit profile') }} </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>

                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>
                                </div>
                            </li>
                            @endif
                    </ul>
                </div>
            </div>
        </nav>

        @if(session()->has('alert'))
            @php
             $aAlert = session()->get('alert');
            @endphp
            <div class="alert alert-{{ $aAlert['class'] }}" role="alert" data-auto-dismiss>
                {{ $aAlert['message'] }}
            </div>
        @endif
        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>